Subject: 29.0.50; Mention that (face-foreground 'default) can return "unspecified-fg"

From: Visuwesh <[email-masked]>
Date: Wed, 25 May 2022 11:09:04 +0530

In a tty frame and when using a theme that does not explicitly set the
default face's :foreground/:background [1], (face-attribute 'default :foreground)
returns "unspecified-fg".  This value is surprising when the docstring
of `face-attribute' says,

    To ensure that the return value is always specified and absolute, use a
    value of ‘default’ for INHERIT; this will resolve any unspecified or
    relative values by merging with the ‘default’ face (which is always
    completely specified).              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    ^^^^^^^^^^^^^^^^^^^^^

I opened the Elisp manual and tried to isearch for "unspecified-fg", but
it got me no matches.  It would be nice if this return value was
documented somewhere.

[1] If I use the adwaita theme instead, then `face-foreground' does
    indeed return a colour.

P.S. I'm filing this bug report after this was brought up in
https://github.com/alphapapa/ement.el/issues/34#issuecomment-906893756.